Holger's Java API

## com.antelmann.net
Class Spider.URLWrapper

    java.lang.Object
      com.antelmann.net.Spider.URLWrapper

Enclosing class:
  Spider

    public static class Spider.URLWrapper

extends Object

wrappes a java.net.URL and keeps a reference to its referer

Field Summary
`URL` `referer`
`URL` `url`

Constructor Summary
`Spider.URLWrapper(URL url, URL referer)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    public URL url

### referer

    public URL referer

Constructor Detail

### Spider.URLWrapper

    public Spider.URLWrapper(URL url,
                             URL referer)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads